YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000094YaCy[All Projects] Generalpublic2011-12-05 19:472011-12-06 02:59
Reportervaldis 
Assigned Tosixcooler 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
ETAnone 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionYaCy 1.0 
Summary0000094: Parser exceptions
DescriptionFollowing exceptions appear regularly

E 2011/12/05 20:41:55 PARSER Unexpected exception in parseSource from File: committed = 69935104 should be < max = 69795840
java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
    at java.lang.management.MemoryUsage.<init>(MemoryUsage.java:145)
    at sun.management.MemoryPoolImpl.getCollectionUsage0(Native Method)
    at sun.management.MemoryPoolImpl.getCollectionUsage(MemoryPoolImpl.java:237)
    at net.yacy.kelondro.util.GenerationMemoryStrategy.youngUsage(GenerationMemoryStrategy.java:169)
    at net.yacy.kelondro.util.GenerationMemoryStrategy.youngAvailable(GenerationMemoryStrategy.java:118)
    at net.yacy.kelondro.util.GenerationMemoryStrategy.available(GenerationMemoryStrategy.java:70)
    at net.yacy.kelondro.util.GenerationMemoryStrategy.request(GenerationMemoryStrategy.java:108)
    at net.yacy.kelondro.util.MemoryControl.request(MemoryControl.java:117)
    at net.yacy.document.TextParser.parseSource(TextParser.java:281)
    at net.yacy.document.TextParser.parseSource(TextParser.java:236)
    at net.yacy.document.TextParser.parseSource(TextParser.java:160)
    at net.yacy.document.parser.zipParser.parse(zipParser.java:90)
    at net.yacy.document.TextParser.parseSource(TextParser.java:284)
    at net.yacy.document.TextParser.parseSource(TextParser.java:193)
    at de.anomic.crawler.retrieval.Response.parse(Response.java:826)
    at net.yacy.search.snippet.TextSnippet.loadDocument(TextSnippet.java:316)
    at net.yacy.search.snippet.TextSnippet.<init>(TextSnippet.java:188)
    at net.yacy.search.query.SnippetProcess.fetchSnippet(SnippetProcess.java:487)
    at net.yacy.search.query.SnippetProcess$Worker.run(SnippetProcess.java:417)
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@25e8fe5c' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
W 2011/12/05 20:41:55 PARSER ZIP parser entry piwik/libs/Zend/Mail/Protocol/Smtp/Auth/Plain.php: Unexpected exception: committed = 69935104 should be < max = 69795840; url = http://builds.piwik.org/piwik-0.8.zip [^]
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@63935d75' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@5fdcdf65' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@1dce910e' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@64953d6b' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@1f36f64' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@15160f3c' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
E 2011/12/05 20:41:55 ReferenceIterator lost entry '[B@5b4236f4' because of too error: java.lang.IllegalArgumentException: committed = 69935104 should be < max = 69795840
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000168)
sixcooler (developer)
2011-12-06 00:32

Hi,

please give the used jvm by full name and version
(something like output of 'java -version')

Which startup-parameters did you use?
(if you changed any)

cu, sixcooler.
(0000169)
sixcooler (developer)
2011-12-06 00:57

just as a comment for myself:
we got a similar error bevor: http://forum.yacy-websuche.de/viewtopic.php?f=5&t=3345#p23115 [^]
(0000172)
sixcooler (developer)
2011-12-06 02:57

should be fixed in git
448656087a0e117c90a954af9c7e7bc6fee50e38
(0000173)
sixcooler (developer)
2011-12-06 02:59

should be fixed in git
448656087a0e117c90a954af9c7e7bc6fee50e38

- Issue History
Date Modified Username Field Change
2011-12-05 19:47 valdis New Issue
2011-12-05 23:43 Orbiter Assigned To => sixcooler
2011-12-05 23:43 Orbiter Status new => assigned
2011-12-06 00:32 sixcooler Note Added: 0000168
2011-12-06 00:57 sixcooler Note Added: 0000169
2011-12-06 02:57 sixcooler Note Added: 0000172
2011-12-06 02:59 sixcooler Note Added: 0000173
2011-12-06 02:59 sixcooler Status assigned => resolved
2011-12-06 02:59 sixcooler Fixed in Version => YaCy 1.0
2011-12-06 02:59 sixcooler Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker